cascading.operation.expression

## Class ExpressionOperation

- java.lang.Object
- - cascading.operation.BaseOperation<ScriptOperation.Context>
  - - cascading.operation.expression.ScriptOperation
    - - cascading.operation.expression.ExpressionOperation

All Implemented Interfaces:
  DeclaresResults, Operation<ScriptOperation.Context>, Traceable, java.io.Serializable

Direct Known Subclasses:
  AssertExpression, ExpressionFilter, ExpressionFunction

    public class ExpressionOperation
    extends ScriptOperation

Class ExpressionOperation is the base class for `ExpressionFunction`, `ExpressionFilter`, `AssertExpression`.

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class cascading.operation.expression.ScriptOperation

`ScriptOperation.Context`

### Field Summary

### Fields inherited from class cascading.operation.expression.ScriptOperation

`block, parameterNames, parameterTypes, returnType`

### Fields inherited from class cascading.operation.BaseOperation

`fieldDeclaration, numArgs, trace`

### Fields inherited from interface cascading.operation.Operation

`ANY`

### Constructor Summary

Constructors
`protected` `ExpressionOperation(Fields fieldDeclaration, java.lang.String expression)`
`protected` `ExpressionOperation(Fields fieldDeclaration, java.lang.String expression, java.lang.Class parameterType)`
`protected` `ExpressionOperation(Fields fieldDeclaration, java.lang.String expression, java.lang.String[] parameterNames, java.lang.Class[] parameterTypes)`
`protected` `ExpressionOperation(java.lang.String expression)`
`protected` `ExpressionOperation(java.lang.String expression, java.lang.Class parameterType)`
`protected` `ExpressionOperation(java.lang.String expression, java.lang.String[] parameterNames, java.lang.Class[] parameterTypes)`

### Method Summary

Methods
`protected org.codehaus.janino.ScriptEvaluator` `getEvaluator(java.lang.Class returnType, java.lang.String[] parameterNames, java.lang.Class[] parameterTypes)`
`java.lang.String` `getExpression()`
`protected java.lang.String[]` `guessParameterNames()`

### Methods inherited from class cascading.operation.expression.ScriptOperation

`equals, evaluate, getBlock, getParameterNames, getParameterTypes, getReturnType, hashCode, prepare`

### Methods inherited from class cascading.operation.BaseOperation

`cleanup, flush, getFieldDeclaration, getNumArgs, getTrace, isSafe, printOperationInternal, toString, toStringInternal`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ExpressionOperation

    @ConstructorProperties(value="expression")
    protected ExpressionOperation(java.lang.String expression)

#### ExpressionOperation

    @ConstructorProperties(value={"fieldDeclaration","expression"})
    protected ExpressionOperation(Fields fieldDeclaration,
                                             java.lang.String expression)

#### ExpressionOperation

    @ConstructorProperties(value={"fieldDeclaration","expression","parameterType"})
    protected ExpressionOperation(Fields fieldDeclaration,
                                             java.lang.String expression,
                                             java.lang.Class parameterType)

#### ExpressionOperation

    @ConstructorProperties(value={"fieldDeclaration","expression","parameterNames","parameterTypes"})
    protected ExpressionOperation(Fields fieldDeclaration,
                                             java.lang.String expression,
                                             java.lang.String[] parameterNames,
                                             java.lang.Class[] parameterTypes)

#### ExpressionOperation

    @ConstructorProperties(value={"expression","parameterType"})
    protected ExpressionOperation(java.lang.String expression,
                                             java.lang.Class parameterType)

#### ExpressionOperation

    @ConstructorProperties(value={"expression","parameterNames","parameterTypes"})
    protected ExpressionOperation(java.lang.String expression,
                                             java.lang.String[] parameterNames,
                                             java.lang.Class[] parameterTypes)

### Method Detail

#### getExpression

    public java.lang.String getExpression()

#### guessParameterNames

    protected java.lang.String[] guessParameterNames()
                                              throws org.codehaus.commons.compiler.CompileException,
                                                     java.io.IOException

Overrides:
  `guessParameterNames` in class `ScriptOperation`
Throws:
  `org.codehaus.commons.compiler.CompileException`
  `java.io.IOException`

#### getEvaluator

    protected org.codehaus.janino.ScriptEvaluator getEvaluator(java.lang.Class returnType,
                                                   java.lang.String[] parameterNames,
                                                   java.lang.Class[] parameterTypes)

Overrides:
  `getEvaluator` in class `ScriptOperation`